<?php

class AdminModule extends CWebModule
{
    public $cn_name = '管理后台';
    
    public $path = 'application.modules.admin';
    
	public function init()
	{
		// this method is called when the module is being created
		// you may place code here to customize the module or the application

		// import the module-level models and components
		$this->setImport(array(
			'admin.models.*',
			'admin.components.*',
		));

        $this->layout = 'application.modules.admin.views.layouts.main';
        Yii::app()->urlManager->urlFormat = 'get';
        Yii::app()->urlManager->showScriptName = true;
	}

	public function beforeControllerAction($controller, $action)
	{
		if(parent::beforeControllerAction($controller, $action))
		{
			// this method is called before any module controller action is performed
			// you may place customized code here
			return true;
		}
		else
        {
			return false;
        }
	}
}
